Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::LSDACFunctional Class Reference

An abstract base class for local correlation functionals. More...

`#include <functional.h>`

Inheritance diagram for sc::LSDACFunctional:

[legend]
Collaboration diagram for sc::LSDACFunctional:

[legend]
List of all members.

## Public Methods
| LSDACFunctional ()
| LSDACFunctional (const Ref< KeyVal > &)
| LSDACFunctional (StateIn &)
| ~LSDACFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | point (const PointInputData &, PointOutputData &)
virtual void | point_lc (const PointInputData &, PointOutputData &, double &ec_local, double &decrs, double &deczeta)=0

## Detailed Description

An abstract base class for local correlation functionals.

## Member Function Documentation

void sc::LSDACFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::DenFunctional. Reimplemented in sc::VWNLCFunctional.

The documentation for this class was generated from the following file:

- functional.h